org.eclipse.emf.cdo.transfer.spi.ui

## Class NativeObjectLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.emf.cdo.transfer.spi.ui.NativeObjectLabelProvider

- All Implemented Interfaces:
    IBaseLabelProvider, ILabelProvider

      public class NativeObjectLabelProvider
      extends LabelProvider

  A reusable implementation of a `label provider` that delegates to another label provider for the extracted `native object` of an argument object.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeObjectLabelProvider(ILabelProvider delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `ILabelProvider` | `getDelegate()`
    `Image` | `getImage(java.lang.Object object)`
    `java.lang.String` | `getText(java.lang.Object object)`

    - ### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

      `addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `addListener, isLabelProperty, removeListener`

- - ### Constructor Detail

    - #### NativeObjectLabelProvider

          public NativeObjectLabelProvider(ILabelProvider delegate)

  - ### Method Detail

    - #### getDelegate

          public final ILabelProvider getDelegate()

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `IBaseLabelProvider`
      Overrides:
        `dispose` in class `BaseLabelProvider`

    - #### getText

          public java.lang.String getText(java.lang.Object object)

      Specified by:
        `getText` in interface `ILabelProvider`
      Overrides:
        `getText` in class `LabelProvider`

    - #### getImage

          public Image getImage(java.lang.Object object)

      Specified by:
        `getImage` in interface `ILabelProvider`
      Overrides:
        `getImage` in class `LabelProvider`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html